Name:           perl-Net-Fastly
Version:        1.09
Release:        1%{?dist}
Summary:        Client library for interacting with the Fastly web acceleration service
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-Fastly/
Source0:        http://www.cpan.org/authors/id/F/FA/FASTLY/Net-Fastly-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::Socket::SSL) >= 1.39
BuildRequires:  perl(JSON::XS)
BuildRequires:  perl(LWP::Protocol::https)
BuildRequires:  perl(LWP::UserAgent) >= 5.813
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Term::ANSIColor)
BuildRequires:  perl(Term::ShellUI)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(URI)
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(YAML)
Requires:       perl(Class::Accessor::Fast)
Requires:       perl(File::Basename)
Requires:       perl(File::Spec)
Requires:       perl(File::Temp)
Requires:       perl(IO::Socket::SSL) >= 1.39
Requires:       perl(JSON::XS)
Requires:       perl(LWP::Protocol::https)
Requires:       perl(LWP::UserAgent) >= 5.813
Requires:       perl(Term::ANSIColor)
Requires:       perl(Term::ShellUI)
Requires:       perl(Test::More)
Requires:       perl(URI)
Requires:       perl(URI::Escape)
Requires:       perl(YAML)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
METHODS

%prep
%setup -q -n Net-Fastly-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes cpanfile dist.ini LICENSE META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 17 2020 Dave Cross <dave@mag-sol.com> 1.09-1
- Specfile autogenerated by cpanspec 1.78.
